MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024597Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-02-05 11:052014-05-05 13:37
Reporterpkv 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024597: Missing internal vertex in the result of General Fuse Operation
DescriptionMissing internal vertex in the result of General Fuse Operation
Steps To ReproduceUse the following commands to reproduce the problem:
#
cylinder c1 20
trimv c1 c1 0 50
mkface b1 c1
vertex v1 0 20 25
orientation v1 I
add v1 b1
box b2 -30 -30 5 60 60 40

# add the arguments
bclearobjects; bcleartools
baddobjects b1 b2

# intersection step
bfillds

# building step
bbuild r
#
# The result contents in current version:
nbshapes r
#
Number of shapes in r
 VERTEX : 12
 EDGE : 19
 WIRE : 13
 FACE : 11
 SHELL : 2
 SOLID : 2
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 60

# but it should be:
nbshapes r
Number of shapes in r
 VERTEX : 13
 EDGE : 19
 WIRE : 13
 FACE : 11
 SHELL : 2
 SOLID : 2
 COMPSOLID : 0
 COMPOUND : 1
 SHAPE : 61


TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24597
Attached Files

- Relationships

-  Notes
(0027768)
pkv (developer)
2014-02-05 14:36

The branch CR24597 is ready to be reviewed.
(0027769)
emv (developer)
2014-02-05 14:42

OK.
(0027790)
mkv (tester)
2014-02-06 10:03
edited on: 2014-02-06 10:05

Dear BugMaster,

Branch CR24597 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: f70f6855bd3798e032c6e7fb7aeed151e6814275

Number of compiler warnings:

occt component :
Linux: 44 (44 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24597-master-occt/Debian60-64/bugs/modalg_5/bug24597.html [^]
http://occt-tests/CR24597-master-occt/Windows-32-VC9/bugs/modalg_5/bug24597.html [^]
bugs modalg_5(010) bug24597: OK

Testing on Linux:
Total MEMORY difference: 371800392 / 372443488
Total CPU difference: 41939.3500000002 / 43920.73000000019

Testing on Windows:
Total MEMORY difference: 419213088 / 409835076
Total CPU difference: 35674.46875 / 35405.578125

There are following differences in images found by testdiff.
http://occt-tests/CR24597-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24597-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs modalg_1 bug10605_2: bug10605_2.png differs
IMAGE bugs modalg_1 bug10605_3: bug10605_3.png differs

(0027796)
pkv (developer)
2014-02-06 10:47

The results of cases:
bugs modalg_1 bug10605_2
bugs modalg_1 bug10605_3
are OK.
(0027797)
mkv (tester)
2014-02-06 10:49

OK,
Issue CR24597 is TESTED.

- Related Changesets
occt: master 50ba108c
Timestamp: 2014-02-06 07:21:47
Author: pkv
Committer: apn
Details ] Diff ]
0024597: Missing internal vertex in the result of General Fuse Operation

Changes:
class BOPDS_DS
   - method:
void BOPDS_DS::Init()
   - method:
void BOPDS_DS::FaceInfoIn
  (const Standard_Integer theF,
   BOPDS_IndexedMapOfPaveBlock& theMPB,
   BOPCol_MapOfInteger& theMI)
Add the information about internal vertices on faces to the Data Structure

Test case for issue CR24597
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24597 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-05 11:05 pkv New Issue
2014-02-05 11:05 pkv Assigned To => pkv
2014-02-05 11:08 pkv Steps to Reproduce Updated View Revisions
2014-02-05 11:09 pkv Status new => assigned
2014-02-05 14:35 pkv Status assigned => resolved
2014-02-05 14:36 pkv Note Added: 0027768
2014-02-05 14:36 pkv Assigned To pkv => emv
2014-02-05 14:42 emv Note Added: 0027769
2014-02-05 14:42 emv Assigned To emv => mkv
2014-02-05 14:42 emv Status resolved => reviewed
2014-02-06 10:03 mkv Note Added: 0027790
2014-02-06 10:04 mkv Test case number => bugs modalg_5(010) bug24597
2014-02-06 10:04 mkv Assigned To mkv => pkv
2014-02-06 10:04 mkv Status reviewed => feedback
2014-02-06 10:05 mkv Note Edited: 0027790 View Revisions
2014-02-06 10:47 pkv Note Added: 0027796
2014-02-06 10:48 pkv Assigned To pkv => mkv
2014-02-06 10:49 mkv Note Added: 0027797
2014-02-06 10:49 mkv Assigned To mkv => bugmaster
2014-02-06 10:49 mkv Status feedback => tested
2014-02-10 12:41 apn Changeset attached => occt master 50ba108c
2014-02-10 12:41 apn Assigned To bugmaster => apn
2014-02-10 12:41 apn Status tested => verified
2014-02-10 12:41 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker